Summary:	A WBFS manager for Linux using GTK+
Name:		wbfs-manager
Version:	0.1.12
Release:	1%{?dist}
License:	GPLv2
Group:		Applications/File
Url:		http://code.google.com/p/linux-wbfs-manager/
Source0:	http://linux-wbfs-manager.googlecode.com/files/linux-wbfs-manager-%{version}.tar.gz
Source1:	wbfs-gtk.desktop
Patch1:		wbfs-manager.patch
BuildRequires:	libglade2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is yet another graphic WBFS (Wii Backup File System) manager 
for Linux. It uses libwbfs from Kwiirk and caristat 
(available from the authors at 
http://github.com/kwiirk/wbfs/tree/master). 

%prep
%setup -q -n linux-%{name}
%patch1 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}/
cp -p wbfs_gtk %{buildroot}%{_bindir}/
desktop-file-install \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

%files
%defattr(-,root,root)
%{_bindir}/wbfs_gtk
%{_datadir}/applications/wbfs-gtk.desktop

%changelog
* Sat Mar 12 2011 Dave Riches - 0.1.12-1
- Packaged for fedora

